## 3.1.1 - 2023-01-27

### Changed
- update smartclientcore to 6.3.1

## 3.1.0 - 2023-01-19

### Added
- The `PublicAdSlot` class has been extended with the `totalPlayableClips` and `totalPlayableCommercials` properties.
  These can be used to retrieve the maximum number of playable ads and the number of playable ads with the variant
  `COMMERCIAL`.

### Changed
- update smartclientcore to 6.3.0
- changed InitException and SetupException from Throwable to type Exception

## 3.1.0-RC1 - 2023-01-11

### Added
- Native URL Handler that can be actived by setting urlhandler to URLHandler.NATIVE on GlobalConfig

### Fixed
- OMID was not started for ads after the preroll
- OMID start tracker was sometimes not correctly fired

### Changed
- Updated OMSDK to 1.4
- Updated smartclientcore to 6.2.1

## 3.0.14 - 2022-12-21

### Fixed
- a race condition between events and OMID starting resulting in missing events

## 3.0.13 - 2022-12-12

### Fixed
- OMID was not started for VMAP tags

## 3.0.12 - 2022-12-08

### Fixed
- FacadeBase.getEnvironmentVars was not correctly parsed

## 3.0.12 - 2022-12-08

### Fixed
- FacadeBase.getEnvironmentVars was not correctly parsed
 
## 3.0.11 - 2022-11-30

### Changed

- viewability config added
- Versions Info updated to show the correct version and removed the build number

### Fixed
- adInfo.universalAdId typo fixed that caused the value to be alway null

## 3.0.10 - 2022-11-11

### Changed

- desiredMimeTypes defaults updated to only include video
- Versions Info when requesting tags reduced

## 3.0.9 - 2022-10-23

- Added Readme and changelog to zip
- smartclientcore updated to 6.1.11
    #### 6.1.11 - released 2022-10-11
    ##### Changed
    - Further improvement measures.

    #### 6.1.10 - released 2022-09-22
    ##### Added
    - Extension of `GlobalConfig` with `playerHandlesNonLinear`, so that the own implementation with all NonLinear can be
    realized with other SDKs.

    ##### Changed
    - Extend documentation with info on `environmentVars.desiredBitrate`.

    ##### Fixed
    - Firefox does cancel sending XHR requests.
    - Inaccurate distinction between notViewable and viewUndetermined tracking.
    - No separation clip of type bumper although `forcePlay` is true.

## 3.0.8 - 2022-09-05

- SMARTPLR-1096 missing parameters on verification caused a crash
- smartclientcore updated to 6.1.9
   - Erroneous progress when playing a non-linear/non-linear interactive ad (VPAID).
   - Progress trackers were triggered when playing a NonLinearAd.
   - Missing measurement of visible impressions at AdStart.
   - Replacing an AdPod with an AdBuffet results in missing information under the PublicAdSlot properties.

## 3.0.7 - 2022-08-23

- Added License
- renamed zip

## 3.0.6 - 2022-07-28

- SMARTPLR-1067: VASTProperty position now correctly calculated

## 3.0.5 - 2022-07-27

- SMARTPLR-1067: adjusted OMID load event to include VASTProperties
- SMARTPLR-1067: resume is now properly tracked by OMID

## 3.0.4 - 2022-07-11

- SMARTPLR-1056: avoid sending duplicate volumeChange mediaEvents on mute/unmute

## 3.0.3 - 2022-07-07

- updated smartclientcore to 6.1.5

## 3.0.2 - 2022-07-02

- OMSDK now sets the creative type matching the ad type 
- version can now be queried immediately instead of lateinit

## 3.0.1 - 2022-06-27

- small OMSDK Integration adjustments
- friendlyObstructions request added when the session starts
- fix for mediaEvents not initialized when there are not verifications

## 3.0.0 - 2022-06-17

- complete new architecture which resembles smartclienctore-js as much as possible
- OMSDK Integration
